Gentoo Archives: gentoo-commits

From: Craig Andrews <candrews@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/roct-thunk-interface/
Date: Mon, 30 Sep 2019 15:23:25
Message-Id: 1569855986.60b6c127957561b46198428eb401c8b04e5644ea.candrews@gentoo
commit:     60b6c127957561b46198428eb401c8b04e5644ea
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 24 15:57:39 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 15:06:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60b6c127

dev-libs/roct-thunk-interface: 2.8.0 version bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/roct-thunk-interface/Manifest             |  1 +
 .../roct-thunk-interface-2.8.0.ebuild              | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-libs/roct-thunk-interface/Manifest b/dev-libs/roct-thunk-interface/Manifest
index 73cbbf80a38..21d7addca99 100644
--- a/dev-libs/roct-thunk-interface/Manifest
+++ b/dev-libs/roct-thunk-interface/Manifest
@@ -1,3 +1,4 @@
 DIST roct-thunk-interface-2.0.0.tar.gz 1958218 BLAKE2B c1ba89cac9a18964e040e6b1e57a464216e7086c400e3360cfca6f376ac90b0b1afbb3a2a4d995581d1829ca57afe62bf6f2ac59cc103a48d384a8e52b1457d0 SHA512 7d2e35df2bec201bcc977328d7d36b921f76b57a0c54fc2332eb1faf3a722b6a3a1e3b1658e93b216ed68b965426c463a2dbf52a22af64ce1dcc9fad0f27ca9c
 DIST roct-thunk-interface-2.6.0.tar.gz 1957383 BLAKE2B 0335d4e219978d16bc8dbc77c6e1fb315f424ddf9225eb14968d4f8233348b358151f2baf279dc2a6e422da7839b704c847f1311b21d69e07738f3fca3235452 SHA512 e54f7cefa1854fb9967e373bd3ef5a0236987ebb26c21728ef5676e73cf63be6e9a49c1ce52d1156caa970473f214e02f25370e2cd7381c1f74a0b8cd5b2bc7f
 DIST roct-thunk-interface-2.7.0.tar.gz 2677696 BLAKE2B 44e15d772f3e86994739ca28300cac0dde56a173daa3789a332d58ed7ac4f5e8705b778e1096d022225a8b89fa5ceb4e3e40b456d470e7ab325721328e04292e SHA512 325444d6b457dae03779730324bf683712acb07ed9379675b025456a8dfcc4f6ebf1d2e10bcf03b6474ad8353c20c8fa1d380a671578e47f9a7e27caf946ecab
+DIST roct-thunk-interface-2.8.0.tar.gz 2679724 BLAKE2B d7e1cbb0a21800016926caf6d644d10d0643e46ed888cb23414f92a55fa994c7f1de1982b025f9d116b3e596ff0224397180d6c974940f1b5038b331f1527c8b SHA512 c1c64192f5687744a069bcc1067d3edbd833b6e784e114e8772abc89940d24b7a0dbc0479f41d1252a4b69ca6a339b00bf849682ae235cb6d5fa76a6c84f3193

diff --git a/dev-libs/roct-thunk-interface/roct-thunk-interface-2.8.0.ebuild b/dev-libs/roct-thunk-interface/roct-thunk-interface-2.8.0.ebuild
new file mode 100644
index 00000000000..e7eb6598584
--- /dev/null
+++ b/dev-libs/roct-thunk-interface/roct-thunk-interface-2.8.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils linux-info
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/archive/roc-${PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/ROCT-Thunk-Interface-roc-${PV}"
+	KEYWORDS="~amd64"
+fi
+PATCHES=(
+	"${FILESDIR}/${PN}-2.6.0-correctly-install.patch"
+	"${FILESDIR}/${PN}-2.6.0-correctly-install-pc.patch"
+	"${FILESDIR}/${PN}-2.6.0-pc-prefix.patch"
+	"${FILESDIR}/${PN}-2.6.0-do-not-install-kfd_ioctl.h.patch"
+)
+
+DESCRIPTION="Radeon Open Compute Thunk Interface"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface"
+CONFIG_CHECK="~HSA_AMD ~HMM_MIRROR ~ZONE_DEVICE"
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+
+RDEPEND="sys-process/numactl
+	sys-apps/pciutils"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	sed -e "s:get_version ( \"1.0.0\" ):get_version ( \"${PV}\" ):" -i CMakeLists.txt || die
+	cmake-utils_src_prepare
+}
+src_compile() {
+	cmake-utils_src_compile build-dev
+}
+src_install() {
+	cmake-utils_src_install install-dev
+}